<?xml version="1.0" encoding="UTF-8"?>
<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->


<document>
  <properties>
    <title>Maven war Plug-in Goals</title>
    <author email="dion@apache.org">dIon Gillard</author>
  </properties>
  <body>
    <goals>
      <goal>
        <name>war</name>
        <description>
          Build a war file. 
          This goal simply executes the <a href="war:war">war:war</a> goal
        </description>
      </goal>
      <goal>
        <name>war:init</name>
        <description>Initialize the file system and attain any necessary goals</description>
      </goal>
      <goal>
        <name>war:war</name>
        <description>
          Build a war file.
          <br/>
          This goal simply package the directory created
          by war:webapp goal. Additional custome content which should be included
          in the archive can be provided using:
          <br/>
          <code>&lt;postGoal name="war:webapp"&gt;</code>
        </description>
      </goal>
      <goal>
        <name>war:webapp</name>
        <description>Build a webapp directory</description>
      </goal>
      <goal>
        <name>war:install</name>
        <description>Install the war in the local repository</description>
      </goal>
      <goal>
        <name>war:install-snapshot</name>
        <description>Install the snapshot version of  the war in the local repository</description>
      </goal>      
      <goal>
        <name>war:deploy</name>
        <description>Deploy the war to the remote repository(ies)</description>
      </goal>
      <goal>
        <name>war:deploy-snapshot</name>
        <description>Deploy the snapshot version of the war to the remote repository(ies)</description>
      </goal>  
      <goal>
        <name>war:clean</name>
        <description>Delete all artifacts created by war plugin</description>
      </goal>  
      <goal>
        <name>war:inplace</name>
        <description>
          Build an exploded web application into ${maven.war.src}. This allows you to mount it in your application
          server, and you only need to run it again for dependency and class changes, not JSP changes.
          This goal will not clean old dependencies - due to the dangers involved in automating this for your
          source tree, you must do that yourself.
        </description>
      </goal>  
      
    </goals>      
  </body>
</document>
